"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// The module 'vscode' contains the VS Code extensibility API
// Import the module and reference it with the alias vscode in your code below
const vscode = require("vscode");
const helper = require("./helper");
// this method is called when your extension is activated
// your extension is activated the very first time the command is executed
function activate(context) {
    // Use the console to output diagnostic information (console.log) and errors (console.error)
    // This line of code will only be executed once when your extension is activated
    console.log('Congratulations, your extension "type-script-helper" is now active!');
    // The command has been defined in the package.json file
    // Now provide the implementation of the command with registerCommand
    // The commandId parameter must match the command field in package.json
    // let disposable = vscode.commands.registerCommand('extension.helloWorld', () => {
    // 	// The code you place here will be executed every time your command is executed
    // 	// Display a message box to the user
    // 	vscode.window.showInformationMessage('Hello World!');
    // });
    // context.subscriptions.push(disposable);
    const commands = [
        vscode.commands.registerCommand('helper.addCSharpComment', helper.addCSharpComment),
        vscode.commands.registerCommand('helper.addVBComment', helper.addVBComment),
        vscode.commands.registerCommand('helper.convertToRegularExpression', helper.convertToRegularExpression),
        vscode.commands.registerCommand('helper.expandSql', helper.expandSql),
        vscode.commands.registerCommand('helper.listToListFamily', helper.listToListFamily),
        vscode.commands.registerCommand('helper.listToListWrappedComma', helper.listToListWrappedComma),
        vscode.commands.registerCommand('helper.prettySql', helper.prettySql),
        vscode.commands.registerCommand('helper.removeComment', helper.removeComment),
        vscode.commands.registerCommand('helper.sortNormal', helper.sortNormal),
        vscode.commands.registerCommand('helper.unwrapSql', helper.unwrapSql),
        vscode.commands.registerCommand('helper.wrapSqlCSharp', helper.wrapSqlCSharp),
        vscode.commands.registerCommand('helper.wrapSqlVB', helper.wrapSqlVB),
        vscode.commands.registerCommand('helper.sortLength', helper.sortLength)
    ];
    commands.forEach(command => context.subscriptions.push(command));
}
exports.activate = activate;
// this method is called when your extension is deactivated
function deactivate() { }
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map